import request from '@/utils/request'

// 查询控制设备状态信息列表
export function listInfo(query) {
  return request({
    url: '/control/info/list',
    method: 'get',
    params: query
  })
}

// 查询控制设备状态信息详细
export function getInfo(id) {
  return request({
    url: '/control/info/' + id,
    method: 'get'
  })
}

// 新增控制设备状态信息
export function addInfo(data) {
  return request({
    url: '/control/info',
    method: 'post',
    data: data
  })
}

// 修改控制设备状态信息
export function updateInfo(data) {
  return request({
    url: '/control/info',
    method: 'put',
    data: data
  })
}

// 删除控制设备状态信息
export function delInfo(id) {
  return request({
    url: '/control/info/' + id,
    method: 'delete'
  })
}

// 导出控制设备状态信息
export function exportInfo(query) {
  return request({
    url: '/control/info/export',
    method: 'get',
    params: query
  })
}